budgie-desktop (10.9.3-0ubuntu1) questing; urgency=medium

  * New upstream release
    - micro release which resolves GNOME 49 incompatibilities with Budgie
    In GNOME 49.x, gnome-settings-daemon received various changes including
    the deprecation of their .desktop files as well as deprecation of
    functionality such as MediaKeys (brightness) (moved into Shell). We now
    have an in-tree fork of GSD, specifically targeted at:
    MediaKeys (bsd-media-keys)
    Power (bsd-power)
    Wacom (bsd-wacom)
    All other components will continue to be pulled in from GSD, with our
    executables being co-installable with GSD. Alongside this, we ship with
    a range of autostart desktop files to ensure the appropriate execs are
    launched with Budgie Desktop.
  * Drop the following patches since these are incorporated in this release
    gnome-49-wacom.patch
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch
  * d/control - add B/D required for the above patch:
    libwacom-dev, libgudev-1.0-dev, systemd-dev
  * d/control - Bump StandardsVersion - no further changes required
  * d/copyright - update for the microrelease

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 07 Sep 2025 19:26:58 +0100

budgie-desktop (10.9.2-9) unstable; urgency=medium

  * Resolve crash on logon due to GNOME-49 wacom removal
    gnome-49-wacom.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 22 Aug 2025 19:39:18 +0100

budgie-desktop (10.9.2-8) unstable; urgency=medium

  * Resolve window-manager crash immediately on logon due to changes
    with mutter-48-rc (LP: #2102655)
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 15 Mar 2025 09:33:01 +0000

budgie-desktop (10.9.2-7) unstable; urgency=medium

  * Resolve FTBFS due to vala change
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 04 Mar 2025 20:00:25 +0000

budgie-desktop (10.9.2-6) unstable; urgency=medium

  * Switch to using blueman for connection services since BCC
    has been patched to no longer display the bluetooth panel (#1059485)
    d/control budgie-desktop add blueman
    d/*.gschema.override - patch to hide the statusnotifier plugin
    switch-to-blueman.patch
  * d/changelog merge is missing 10.8.x changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 02 Jan 2025 19:34:21 +0000

budgie-desktop (10.9.2-5) unstable; urgency=medium

  * Upload to unstable now that libxfce4windowing is available

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 20 Dec 2024 15:56:45 +0000

budgie-desktop (10.9.2-4) experimental; urgency=medium

  * Add compatibility for the latest libxfce4windowing
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    d/control bump versioning for libxfce4windowing

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 05 Dec 2024 19:27:06 +0000

budgie-desktop (10.9.2-3) experimental; urgency=medium

  * d/control budgie-desktop - update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086814)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 20:01:05 +0000

budgie-desktop (10.9.2-2) experimental; urgency=medium

  * Switch to using magpie
  * Re-add Rework-keyboard-ibus-handling.patch since we are now using
    magpie
  * Add enforce-no-implicit-function-declaration.patch for meson 1.4 issues
  * Packaging changes
    d/control B/D magpie (Closes: #1067117)
    d/control introspection packaging changes state that a B/D on
    dh-sequence-gir is required as will as Provides statements
    for the gir packages budgie creates for the core dev binary package

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2024 17:55:13 +0100

budgie-desktop (10.9.2-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - drop Update-libxfce4windowing-to-4.19.3-547.patch since this is
      included with this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 22 Jun 2024 14:00:57 +0100

budgie-desktop (10.9.1-3) experimental; urgency=medium

  * Fix FTBFS with v4.19.3 of libxfce4windowing
    Update-libxfce4windowing-to-4.19.3-547.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 18:59:21 +0000

budgie-desktop (10.9.1-2) experimental; urgency=medium

  * d/control - switch to using budgie-session
    change runtime dependencies to budgie-session
    drop switch_to_gnome_session.patch
    d/control - drop B/D obsolete gnome-common, add intltool
    d/control - drop B/D debhelper since we are using compat

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Feb 2024 10:02:02 +0000

budgie-desktop (10.9.1-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - d/budgie-core.manpages - add sendto man-page

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 02 Feb 2024 21:39:24 +0000

budgie-desktop (10.9-2) experimental; urgency=medium

  * d/control - replace suggestions with budgie-desktop-environment
    d/control - gir1.2-budgie-1.0 remove now obsolete replace/breaks
    d/control - drop B/D libgnome-bluetooth-dev (Closes: #1059486)
    d/control - add B/D cmake, libcanberra-gtk3-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 29 Jan 2024 07:28:08 +0000

budgie-desktop (10.9-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * switch to using gnome-session
    switch_to_gnome_session.patch
  * d/control - update packaging descriptions
    Add B/D with libxfce4windowing-0-dev
  * d/control - restrict gnome-session to less than v46 since budgie
    will not launch with v46 and later; add budgie-session as an alternate
  * d/patches - refresh Rework-keyboard-ibus-handling.patch that will
    work with magpie; not built with patch until the magpie switch occurs

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 28 Jan 2024 15:18:12 +0000

budgie-desktop (10.8.2-5) unstable; urgency=medium

  * d/control budgie-desktop - update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086814)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 19:48:39 +0000

budgie-desktop (10.8.2-4) unstable; urgency=medium

  * d/control B/D switch from libmutter to libmagpie to resolve
    FTBFS (Closes: #1067117)
  * Add disable-warnings.patch to not error for valac-meson 1.4 issues
  * Add enforce-no-implicit-function-declaration.patch for meson 1.4 issues
  * Additional Packaging changes to tidy up lintian issues
    d/control - drop B/D obsolete gnome-common, add intltool
    d/control - drop B/D debhelper since we are using compat
    d/control - gir1.2-budgie-1.0 remove now obsolete replace/breaks
    d/control introspection packaging changes state that a B/D on
    dh-sequence-gir is required as will as Provides statements
    for the gir packages budgie creates for the core dev binary package

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Sep 2024 22:22:36 +0100

budgie-desktop (10.8.2-3) unstable; urgency=medium

  * d/control - switch from gnome-session to budgie-session
    switch-to-budgie-session.patch
    d/control - update descriptions of GNOME components budgie uses

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Feb 2024 09:46:00 +0000

budgie-desktop (10.8.2-2) unstable; urgency=medium

  * d/rules - build with new zenity; this is needed to display the
    display dialog when a user changes the resolution
    d/control - add zenity version for B/D and budgie-core dependency

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Dec 2023 21:02:44 +0000

budgie-desktop (10.8.2-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 19 Oct 2023 18:40:24 +0100

budgie-desktop (10.8.1-2) unstable; urgency=medium

  * Bug-fix
    - temporarily don't build with Rework-keyboard-ibus-handling.patch
      since this is causing a crash on logon

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Oct 2023 22:46:23 +0100

budgie-desktop (10.8.1-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - drop patches since the dark theme capability is now included
      in this release
      0001-Support-freedesktop-color-scheme.patch
      0002-Hook-up-color-scheme-and-some-logic-interaction-with.patch
      0003-Add-another-GSD42-code-guard-to-prevent-segmentation.patch
      0005-Logic-for-determining-light-dark-includes-looking-wi.patch
      0006-Remove-last-remaining-and-obsolete-GSD42-guard.patch
    - resolve 3 keyboard layout issue where 2nd keyboard layout always
      defaults to US
      Merge existing ibus patches into one patch
      Rework-keyboard-ibus-handling.patch
      Drop the following ibus related patches
      Add-a-small-delay-to-ensure-keyboard-layout-defaults.patch
      Initialise-ibus-within-the-class-constructor.patch
      use-ibus-daemonize.patch
    - Add budgie-portals.conf for xdg-desktop-portal
      (Closes: #1050905)
  * Packaging Changes
    - refresh libbudgie-private0 and libraven0 symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Oct 2023 21:12:11 +0100

budgie-desktop (10.8-2) unstable; urgency=medium

  * Upload to unstable to support the GNOME 44/mutter-12 transition
    (Closes: #1050149)
  * Add missing changelog-announcement.txt entry for v10.8

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 21 Aug 2023 19:05:07 +0100

budgie-desktop (10.8-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - Support appindicators
      allow-AppIndicator-if-System-Tray-is-not-present.patch
    - Drop show-tray-icon.patch since now obsolete with v10.8
  * Packaging changes
    - d/rules - drop ubuntu specific patch show-tray-icon
    - d/libraven0.symbols refresh changed symbols
    - d/libbudgie-appindexer0.symbols refresh changed symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Aug 2023 18:18:36 +0100

budgie-desktop (10.7.2-0.1) experimental; urgency=medium

  * NMU (non-maintainer upload)
    - verified by the maintainer David Mohammed
  * New upstream release
  * Drop patches introduced in 10.7.1-1 since these are included in this
    release
    - Fix-SoundOutput-and-Calendar-widget-settings-schemas.patch
    - Fix-Gtk-gdk_x11_window_get_frame_extents.patch
  * Refresh patches
    - Rework-keyboard-handling-to-layouts-ibus-handling.patch
  * Packaging changes
    - d/changelog-announcement incorporates upstream release notice
    - d/control build-depends on libmutter-12
    - d/control B/D remove all version checks since no longer needed
    - d/control add zenity to build-depends
    - d/rules build with use-old-zenity=true
    - d/libraven.symbols update with new symbols

 -- Samuel Lane <samlane00@gmail.com>  Sat, 01 Jul 2023 16:57:57 -0400

budgie-desktop (10.7.1-1) unstable; urgency=medium

  * Service release
  * Drop patches introduced in 10.7-2 since these are included in this
    release
    - Summary of changes beyond those in 10.7-2 :
      Fix inability to screenshot full-screen applications
    - Align BDS panel settings margins to be the same as raven settings
    - Updated Translations
    - Fix ellipsizing overflowing text in media control widget causing
      raven expansion
    - Add Mutter 12 ABI support if source is compiled with this version
  * Refresh patches
    - Rework-keyboard-handling-to-layouts-ibus-handling.patch
    - Initialise-ibus-within-the-class-constructor.patch
  * Correct schema names
    Fix-SoundOutput-and-Calendar-widget-settings-schemas.patch
  * Ensure Popovers position according to the scale-factor in use
    Fix-Gtk-gdk_x11_window_get_frame_extents.patch
  * Packaging changes
    d/libraven.symbols update with new symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 23 Feb 2023 20:03:16 +0000

budgie-desktop (10.7-2) unstable; urgency=medium

  * Upload to unstable
  * Patches added
    - appindexer-Take-into-account-default-handlers-for-re.patch
      Adjust the relevancy score of applications relative to a search term
      based on if that application is the default handler for the MIME types
      it supports. This should make it more likely that applications set as
      default for a content type is shown above other applications.
    - feat-Automatically-update-Calendar-widget-when-showi.patch
      eliminates an unnecessary 30 second timer that existed for the purposes
      of highlighting the current day.
    - Ensure-screenshot-popover-labels-match-their-corresp.patch
      Display the correct keyboard label for the keyboard shortcut
    - Plugin-chooser-escape-description-markup-symbols-293.patch
      When a plugin has an "&" in their "description=" line in the .plugin
      file, the description fails to properly show. (set_markup error).
    - Test-if-the-window-of-type-desktop-before-taking-a-w.patch
      Where invoking the screenshot and taking a window screenshot of an
      empty desktop, the empty desktop displaying icons is actually a
      hidden window.  In this case we should take a full screenshot.
    - appindexer-Check-if-an-application-name-contains-a-s.patch
      make it easier to find applications by only typing a part of the
      application's name.
  * Packaging Changes:
    - update missing libbudgie-appindexer0 symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 09 Feb 2023 22:05:01 +0000

budgie-desktop (10.7-1) experimental; urgency=medium

  * New upstream release
    upstream release announcement in install changelogs
  * Packaging Changes
    d/changelog-announcement incorporates upstream release notice
    d/rules install new BudgieRaven typelib in the girepository
    d/control add gir1.2-budgieraven-1.0 binary package
    d/control add libbudgie-raven-plugin0 binary package
    d/control clarify the description for libbudgie-plugin0
    d/control update budgie-core-dev dependencies for the new
    binaries
    d/watch and d/upstream change to signed for this upstream release
    d/libbudgie-private0.symbols update
    d/libraven0.symbols update
    d/libbudgie-raven-plugin.symbols create and populate
    d/copyright - update year to 2023, adjust specific copyright for files
     due to applet source restructure, remove copyright for polkitdialog
     since src files removed in upstream tarball
    d/copyright - replace CC-BY-SA copyright for the default.jpg file with
    CC0-1.0 since upstream has replaced the default.jpg image
    (See README for the revised license designation)
    Refresh Rework-keyboard-handling-to-layouts-ibus-handling.patch
    Refresh show-tray-icon.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 28 Jan 2023 23:32:08 +0000

budgie-desktop (10.6.4+git20221230-2) unstable; urgency=medium

  * Packaging
    - d/control: Add runtime dependency on zenity to allow budgie-mutter
      based dialogs to display

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 09 Jan 2023 19:42:41 +0000

budgie-desktop (10.6.4+git20221230-1) unstable; urgency=medium

  * git master release
    upstream release dates will not coincide with debian freeze; git master
    has been used to provide the best experience for the stable release
    period
  * Fix for workspace icon sizing using the french locale
  * Native screenshot now incorporated in git master - associated
    patches have been dropped
  * Right-click window shows window options
  * Run dialog refactored - works across monitors

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 30 Dec 2022 14:34:35 +0000

budgie-desktop (10.6.4+git20220830-4) unstable; urgency=medium

  * Bug-fix
    - Ensure last keyboard layout used is the keyboard layout chosen
      on logon
      Add-a-small-delay-to-ensure-keyboard-layout-defaults.patch
      (LP: #1998214)
  * Packaging Changes
    - d/control budgie:update dependencies and suggestions for underlying
      required packages used in the source together with suggested packages
      to enhance the experience
    - d/control apply multiarch hint to budgie-desktop-doc
    - d/watch(.nopgp) update to resolve github release URL changes

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 29 Nov 2022 15:04:14 +0000

budgie-desktop (10.6.4+git20220830-3) unstable; urgency=medium

  * Upload to unstable to support the GNOME 43/mutter-11 transition

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 28 Sep 2022 14:50:45 +0100

budgie-desktop (10.6.4+git20220830-2) experimental; urgency=medium

  * Add patch to initialise ibus to prevent window manager crash
    Initialise-ibus-within-the-class-constructor.patch
  * d/control B/D on mutter-11
  * d/control B/D on libgdk-pixbuf-2.0-dev
    (closes: #1019308)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 11 Sep 2022 22:15:41 +0100

budgie-desktop (10.6.4+git20220830-1) experimental; urgency=medium

  * git master release
    - resolve multiple issues with the workspace applet
    - update timezone if no custom timezone set
    - make notification popup body consistent avoiding large popups
      covering the screen
  * Packaging Changes
    d/control remove B/D and dependency on gnome-menu since no longer needed

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 30 Aug 2022 18:50:59 +0100

budgie-desktop (10.6.3+git20220821-1) experimental; urgency=medium

  * git master release
    - add support for mutter-11 (GNOME 43) when required for the
      GNOME 43 transition
    - drop patches Revert-the-xsession-rename.patch,
      Update-session-and-components-to-use-reverseDNS.patch and
      darktheme/0004-Bump-expected-supported-mutter-versions-GNOME-43-and.patch
      since included in this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Aug 2022 11:57:27 +0100

budgie-desktop (10.6.2+git20220728-2) experimental; urgency=medium

  * Revert the xsession rename - this allows the desktop to
    launch from lightdm/slick-greeter
    Revert-the-xsession-rename.patch
  * Packaging Changes
    d/budgie-core.install - ensure built session file from the above
    patch is installed

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 10 Aug 2022 14:41:06 +0100

budgie-desktop (10.6.2+git20220728-1) experimental; urgency=medium

  * git master release
    - includes menu rewrite.  This introduces a new packaging
      library binary libappindexer0
    - drop fractional.patch since this is contained in this release
    - Resolve login issues due to reverseDNS changes
      Update-session-and-components-to-use-reverseDNS.patch
    - Resolve multi-keyboard layouts switching
      Rework-keyboard-handling-to-layouts-ibus-handling.patch
  * Packaging Changes
    d/rules correct ubuntu recommendation to use nemo rather than the
    invalid nemo-desktop package
    Correct lintian warning for screenshot man-page:
    screenshot/More-meaningful-name-description.patch
  * d/control add libbudgie-appindexer0 binary package
    d/control add libbudgie-appindexer0 to dev package
  * d/watch and d/upstream change to unsigned temporarily for this
    git tarball release
  * d/libbudgie-private0.symbols update
  * d/libbudgie-appindexer0.symbols create and populate
  * add d/budgie-core.maintscript to remove old budgie /etc config files;
    these have been replaced with reverseDNS named config files

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 28 Jul 2022 10:51:16 +0100

budgie-desktop (10.6.2-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Packaging Changes
    drop screenshot/Regenerate-vapi-for-mutter-10.patch since included
    in this release
    drop fix-broken-C-std-for-gvc-subproject-146.patch since included
    in this release
    drop Add-short-delay-to-keyboard-sources.patch since does not resolve
    original issue and therefore is not needed.
    refresh to remove fuzz:
    screenshot/Introduce-our-native-screenshot-capability.patch
    d/changelog-announcement incorporates upstream release notice

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 15 Jul 2022 09:46:58 +0100

budgie-desktop (10.6.1-2) unstable; urgency=medium

  * Add native screenshot capability
    screenshot/Regenerate-vapi-for-mutter-10.patch
    screenshot/Introduce-our-native-screenshot-capability.patch
    screenshot/Improve-style-across-different-themes.patch
    screenshot/Fix-button-icon-disappearing-after-set_buttoncontent.patch
  * screenshot/Tidy-up-introduced-deprecations-and-make-menu-comman.patch
  * Add dark-light mode capability
    darktheme/0001-Support-freedesktop-color-scheme.patch
    darktheme/0002-Hook-up-color-scheme-and-some-logic-interaction-with.patch
    darktheme/0003-Add-another-GSD42-code-guard-to-prevent-segmentation.patch
    darktheme/0004-Bump-expected-supported-mutter-versions-GNOME-43-and.patch
    darktheme/0005-Logic-for-determining-light-dark-includes-looking-wi.patch
    darktheme/0006-Remove-last-remaining-and-obsolete-GSD42-guard.patch
  * Fix FTBFS due to C standard being assumed
    fix-broken-C-std-for-gvc-subproject-146.patch
  * Bug-fix
    - Update message displayed to users when fractional scaling is used
      to ensure the correct course of action (restart session) is done
      (LP: #1972007)
      fractional.patch
  * Packaging Changes
    d/control StandardsVersion bump
    d/control add B/D libgstreamer1.0-dev for screenshot patches
    d/budgie-core.manpages install budgie-screenshot man-page
    d/budgie-core.lintian-overrides update to incorporate [] syntax
    d/budgie-core-dev.lintian-overrides update to incorporate [] syntax

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 08 Jul 2022 13:27:51 +0100

budgie-desktop (10.6.1-1) unstable; urgency=medium

  * New upstream bug-fix release
    - Drop all patches since the microrelease contains these except
      desktopfolder_exename.patch,
      show-tray-icon.patch,
      use-ibus-daemonize.patch
      (LP: #1967282)
  * Packaging Changes
    - d/changelog-announcement incorporates upstream release notice

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 31 Mar 2022 12:33:01 +0100

budgie-desktop (10.6-4) unstable; urgency=medium

  * Upload to unstable
    - part of the GNOME 42/mutter transition

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 28 Mar 2022 19:22:00 +0100

budgie-desktop (10.6-3) experimental; urgency=medium

  * Bug-fixes
    - Fix drag-drop regression in icon-tasklist
      Fix-regression-in-IconTasklist.patch
    - Fix regression where Super+C no longer clears notifications
      Re-connect-to-the-Raven-signal-to-clear-all-notifica.patch
    - Fix regression where new application icons that don't
      appear in the icon-tasklist
      Ensure-new-applications-icons-are-displayed-in-taskl.patch
    - Don't spam the journal log when clearing notifications
      Don-t-modify-notification-group-HashTables-while-ite.patch
    - Fix regression where apps such as discord that has splash screens
      are not removed from icon-tasklist
      Remove-check-for-window-hints-when-removing-button-i.patch
  * Packaging Changes
    - update libraven symbols for new methods from raven signal patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 24 Mar 2022 22:38:57 +0000

budgie-desktop (10.6-2) experimental; urgency=medium

  * Bug-fixes
    - Prevent crash when popover is removed
      Add-a-null-check-to-budgie_popover_manager_ungrab.patch
    - Open on the notifications stack when the notification applet clicked
      Fix-inconsistency-when-opening-Raven-68.patch
  * - Ensure notifications stack when apps such as lollypop fire
      notifications in quick succession
      improve-notification-racyness.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 16 Mar 2022 18:49:26 +0000

budgie-desktop (10.6-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelog
    - Resolve SEGV when using not using ibus and ALT+L to switch
      sources (Closes: #999609)
    - Allow ibus suggestion window to display
      use-ibus-daemonize.patch (Closes: #985619)
  * Packaging Changes:
    - drop Add-support-for-mutter-10-GNOME42.patch since included in the
      new release
    - remove spurious changelog.ubuntu

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 06 Mar 2022 20:31:44 +0000

budgie-desktop (10.5.3+git20220217a-2) experimental; urgency=medium

  * Add mutter10 build support
    Add-support-for-mutter-10-GNOME42.patch
  * control: Update VCS fields to be valid packaging source repo
  * control: Build against mutter10

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Feb 2022 22:42:10 +0000

budgie-desktop (10.5.3+git20220217a-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use canonical URL in Vcs-Git.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgnome-bluetooth-dev,
      libgtk-3-dev, libibus-1.0-dev, libnotify-dev and meson.
    + budgie-desktop: Drop versioned constraint on gir1.2-budgie-1.0 in
      Recommends.

  [ David Mohammed ]
  * git master release
    - commit 96ea41416016b82ebb847ef44ad97f42e4a3a76f
    - Drop the following patches since now in this git release
      meson-Drop-spurious-3rd-positional-argument-to-gnome.patch
      Add-Mutter-9-support-2165.patch
      0001-Switch-back-to-using-gnome-screensaver.patch
    - Refresh desktopfolder_exename.patch
  * Packaging Changes
    - d/copyright - remove superfluous translation copyright statement
      update copyright years to 2022
      update contact details for the new maintainers of budgie
    - Remove debian/*.1 man files since upstream build now installs these
    - d/rules build with gnome-screensaver; we previously patched this
      but now the git release incorporates the requisite changes
      d/control add gnome-screensaver to build-depends
    - Update symbols for revisions in the source.  These do not
      affect the public ABI/API
    - d/upstream/metadata update for the new maintainers of the
      budgie-desktop
    - d/watch update for the new maintainers repo
    - d/control update for the new maintainers repo

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 17 Feb 2022 18:41:32 +0000

budgie-desktop (10.5.3-5) unstable; urgency=medium

  * Resolve FTBFS
    add patch meson-Drop-spurious-3rd-positional-argument-to-gnome.patch
  * Packaging Changes
    update budgie-core.lintian-overrides to revise definition of
    mutter RUNPATH override

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 25 Jan 2022 19:18:55 +0000

budgie-desktop (10.5.3-4) unstable; urgency=medium

  * Upload to unstable
    - part of transition #996607
  * Packaging Changes
    - add dep3 headers to the two GNOME41/mutter-9 patches

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Oct 2021 18:41:21 +0100

budgie-desktop (10.5.3-3) experimental; urgency=medium

  * Upload to experimental
    - add GNOME 41 support (Closes: #996107)
      Add-Mutter-9-support-2165.patch
      Require-GNOME-Stack-41-alpha.patch
  * Packaging Changes
    - control: update gnome-settings-daemon required version
               using mutter-9 for build-depends
               update gnome-desktop required version
    - budgie-core lintian-override custom-library-search-path updated

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 13 Oct 2021 22:07:30 +0100

budgie-desktop (10.5.3-2) unstable; urgency=medium

  * Upload to unstable
    - part of transition #992872
  * Packaging Changes
    - Remove upstream/metadata Homepage which eliminates lintian warning
    - control remove build-dependencies python3-distutils and
      python3-lib2to3 added previously to the experimental upload since
      no longer needed
    - Remove superficial tests since this now is a lintian warning
      i.e. upstream do not provide any tests that the package
      can utilise

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 12 Sep 2021 15:26:07 +0100

budgie-desktop (10.5.3-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
      (Closes: #992872)
  * Packaging Changes
    - Force resync with Debian Unstable
    - drop all patches except
      desktopfolder_exename.patch
      show-tray-icon.patch
    - control: add Rules-Requires-Root: no
    - Update libraven0.symbols
    - Remove lock-keys lintian-override for budgie-core since no longer
      highlighted as a false positive by lintian
    - Copyright: Remove copyright for a now removed file
      Update copyright year
      Add copyright statement for newly shipped default.jpg wallpaper
    - bump mutter to v8
    - Rules/Control: Add vendor override for Ubuntu/Debian Recommends
      and Suggests (budgie-desktop package)
      Add gschema vendor overrides for Ubuntu/Debian to reflect
      desktop-icons default
    - Rework locking to check if previously failed
      Switch to using gnome-screensaver
      0001-Switch-back-to-using-gnome-screensaver.patch
    - ensure ibus shows suggestions for non xkb layouts
      (LP: #1920639)
    - control: add python3-distutils and python3-lib2to3 build dependency
      to allow build against experimental.  This is to be removed
      when uploading to unstable in future.

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 24 Aug 2021 18:39:15 +0100

budgie-desktop (10.5.2-4) unstable; urgency=medium

  * Bug-fixes
    - Ensure gir package does not have an empty Depends (Closes: #991079)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 13 Jul 2021 19:24:58 +0100

budgie-desktop (10.5.2-3) unstable; urgency=medium

  * Bug-fixes
    - Panel crashes when using wine-based apps with icon-applet
      keepass_segfaults.patch
      sync_x_errors_carbon.patch
    - Do not show budgie-desktop-settings in docks like plank
      bde_icon_handling.patch
    - Show/Mute icon in panel when user uses keyboard media keys
      mute_unmute.patch
    - All budgie-desktop-settings to be pinned/unpinned in icon applet
      bde_pinned.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Jan 2021 11:48:18 +0000

budgie-desktop (10.5.2-2) unstable; urgency=medium

  * Packaging Changes
    - Add recommendation for budgie-desktop-view together with
      a gsettings-override to enable desktop-icons support in
      budgie-desktop-settings
    - Update Suggests to include minimal suggestions to get a workable
      basic desktop if these suggestions are installed

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Dec 2020 22:02:35 +0000

budgie-desktop (10.5.2-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging Changes
    - control: Bump StandardsVersion
    - control: Update build dependency version numbers as per upstream
      recommendations
    - drop desktop-settings.patch since new release has support for
      budgie-desktop-view/desktopfolder/nemo
    - drop recalc-panel-box-visibility.patch since new release has fixed
      this issue
    - drop windowanimation.patch since upstreamed into new release
    - drop 1000-Obtain-gsettings-transparency-key-value-before-showi.patch
      since upstreamed into new release
    - refresh hide_default_theme.patch
    - copyright bump copyright year to match revised sourcess
    - update libraven0.symbols
    - update libbudgie-plugin0.symbols
    - update watch file for revised upstream version naming

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Dec 2020 19:45:59 +0000

budgie-desktop (10.5.1+git20200824-4) unstable; urgency=medium

  * Bug fix
    Restore budgie window minimize and unminimize animation
    windowanimation.patch (LP: #1900354)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Oct 2020 22:28:00 +0100

budgie-desktop (10.5.1+git20200824-3) unstable; urgency=medium

  * debian/tests add superficial as a restriction since the test
    only covers a limited build artifact (Closes: #971453)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 30 Sep 2020 22:12:28 +0100

budgie-desktop (10.5.1+git20200824-2) unstable; urgency=medium

  * No change upload to unstable (Closes: #971038)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 26 Sep 2020 18:32:17 +0100

budgie-desktop (10.5.1+git20200824-1) experimental; urgency=medium

  * Git build 20200824
    - mutter-7 build capability
    - Translations includes upstream translations up-to 20200827
  * Packaging Changes
    - drop mutter-7 patch since included in Git build
    - control: build against mutter-7
    - control: bump debhelper version

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 09 Sep 2020 18:40:11 +0100

budgie-desktop (10.5.1+git20200715-2) unstable; urgency=medium

  * Revise show-tray-icon.patch to use an alternate ID to prevent
    a clash with the system tray schema

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 18 Aug 2020 18:02:40 +0100

budgie-desktop (10.5.1+git20200715-1) unstable; urgency=medium

  * Git build 20200715
    - Variety of bug-fixes including
      resolve system tray icon corruption
      display chromium notifications with their icons
      option to display windows from all workspaces in tab-switcher
      show non xkb layouts in keyboard applet
      respect animations flag for background transitions
      resolve occasional panel crash when removing applets
      make screenshot commands configurable via gsettings
      fix display of spotify artwork in raven
  * Refresh show-tray-icon.patch but use new name for schema
  * Add mutter7.patch ready for GNOME 3.38 (mutter7) switch
  * hide-default-theme.patch hide Debian specific "Default" theme
    label
  * Drop the following patches since incorporated in the git build
    - keygrab.patch
    - leftright-panel-layouts.patch
    - Mutter-3.35.90-support-1918.patch
    - Mutter-3.35.91-1939.patch
    - pkexec-menu.patch
    - polkitdialog.patch
    - popup-scale-factor.patch
    - strut-calc.patch
    - use-builtin-session-manager.patch
    - wnck-shutdown.patch
    - workspace-max.patch
  * Refresh debian/copyight for the git build source
  * All patches now included Forwarded in their dep-3 header

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 17 Aug 2020 20:04:17 +0100

budgie-desktop (10.5.1-8) unstable; urgency=medium

  * Fix FTBFS (Closes: #963366)
    - debian budgie-desktop-settings.1 corrected
      the invalid section
    - debian budgie-panel.1 resolved lintian for
      section description

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 21 Jun 2020 22:47:18 +0100

budgie-desktop (10.5.1-7) unstable; urgency=medium

  * Upload experimental package to unstable

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 11 Apr 2020 15:46:35 +0100

budgie-desktop (10.5.1-6) experimental; urgency=medium

  * Bug-fix
    update polkitdialog.patch to ensure pkexec based dialogs
    are shown.

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 21 Mar 2020 15:10:15 +0000

budgie-desktop (10.5.1-5) experimental; urgency=medium

  * Bug-fix
    Patch to resolve polkitdialog crashes
    polkitdialog.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 18 Mar 2020 21:58:42 +0000

budgie-desktop (10.5.1-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Add support for mutter-6 (Closes: #952639)
  * debian/control: Build-depend on libmutter-6-dev
  * d/p/Mutter-3.35.91-1939.patch,
    d/p/Mutter-3.36-support-1918.patch:
    - Support compiling with mutter-6

  [ David Mohammed ]
  * Use github homepage rather than upstream website
    (Closes: #950477)
  * control: bump Standards-Version; no changes required
  * control: Update description for the budgie-desktop pkg
    (Closes: #950468)
  * Fix crash when adding more than 8 workspaces
    workspace-max.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 09 Mar 2020 19:03:12 +0000

budgie-desktop (10.5.1-3) unstable; urgency=medium

  * Cherry-pick release
    Add support to hide/show network manager applet icon via gsettings
    show-tray-icon.patch
  * Add support for the Debian third-party applet budgie-appmenu-applet
    recalc-panel-box-visibility.patch
  * Update keygrab.patch so that mutter-5 dbus UngrabAccelerators is
    supported - this stops the spamming of journald
  * Update strut-calc.patch with the upstream accepted commit.  This
    resolves messages spamming journald
  * Support left/right panel layouts
    leftright-panel-layouts.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 20 Jan 2020 10:29:42 +0000

budgie-desktop (10.5.1-2) unstable; urgency=medium

  * Bug-fix release
    Handle monitor-monitor window positioning
      strut-calc.patch
    Ensure budgie popovers handle desktop scaling beyond 100%
      popup-scale-factor.patch
    Manage keyboard shortcuts - resolve intermittent loss of shortcuts
    on login
      keygrab.patch
  * Packaging Changes
    control: fix home-page link to point to a valid url
    control: add build-depends on debhelper-compat (= 12)
    compat: remove deprecated file
    upstream/metadata: refresh with new upstream information
    copyright: refresh with upstream contact info
    watch: update with revised github project name
    changelog: fixed typo StandardsVersion --> Standards-Version
    Update libbudgie-private0.symbols with new symbol due to
    strut-calc.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 30 Nov 2019 10:59:21 +0000

budgie-desktop (10.5.1-1) unstable; urgency=medium

  * Official upstream release
    - upstream release announcement in install changelogs
  * Drop all patches except for the following (rebased where necessary)
    1000-Obtain-gsettings-transparency-key-value-before-showi.patch
    desktop-override.patch
    desktop-settings.patch
    pkexec-menu.patch
    wnck-shutdown.patch
    use-builtin-session-manager.patch
  * Packaging Changes
    Control - bump Standards-Version - no changes required
    Update libraven symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 16 Oct 2019 15:07:53 +0100

budgie-desktop (10.5-4) unstable; urgency=high

  [ Willem Mulder ]
  * use gnome-session builtin session manager to stop gnome-shell
    spawning where both gnome-shell and budgie desktop are both installed.
    When this happens, it is impossible to login to budgie desktop
    (Closes: #942077)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 10 Oct 2019 21:16:53 +0100

budgie-desktop (10.5-3) unstable; urgency=medium

  * Upload experimental package to unstable

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Sep 2019 18:59:27 +0100

budgie-desktop (10.5-2) experimental; urgency=medium

  * Release to support GNOME 3.34/3.32
  * Add support for mutter 5
    drop gnome-3.30-compatability.patch
    gnome-3.32-compability.patch
    mutter5-add-build-support.patch
    mutter5-generate-vapi.patch
    mutter5-vapi.patch
  * Add compilation support for vala 0.46
    vala046.patch
  * Remove unneeded gnome-settings-daemon v3.34 components that stops logon
    gsd334.patch
  * Don't force wnck to shutdown - this causes apport crashes since applets
    and other wnck users haven't released memory
    wnck-shutdown.patch
  * Fix spacer sizing
    Use-panel-orientation-for-spacer-sizing.patch
  * Add support for nemo and desktopfolder
    desktop-settings.patch
  * Fix to enable pkexec apps are supported through the menu
    pkexec-menu.patch to
  * Sort menus using linguistic rules
    sort-linguistic.patch
  * Add hinting support for settings
    add-hinting.patch
  * Refresh animations.patch
  * Packaging Changes:
    - Rules: replace manual meson build with debhelper equivalents
    - Control & Compat: Update for debhelper 12
    - Control bump Standards-Version: no changes required
    - Control bump gnome-settings-daemon-dev build version
    - Control move needed runtime dependencies from budgie-desktop to
      budgie-core (Closes: #939358)
    - Rules: Update meson build options
    - Update budgie-core lintian-overrides to be a generic architecture
      rather than specifically amd64

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 14 Sep 2019 20:27:50 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libbudgie-raven-plugin0`.
